package kz.arta.synergy.workflow.mobile.android.forms.general.components.projectchooser;

import java.io.Serializable;
import java.util.List;

/**
 * Created by neox on 04.07.16.
 */
public class ProjectModel implements Serializable {

    private String elementType;
    private String name;
    private String hasChildren;
    private List<ProjectItem> items;

    public String getElementType() {
        return elementType;
    }

    public String getName() {
        return name;
    }

    public String getHasChildren() {
        return hasChildren;
    }

    public List<ProjectItem> getItems() {
        return items;
    }

    public static class ProjectItem implements Serializable {

        private String name;
        private String userName;
        private String itemID;
        private String actionID;
        private String elementType;
        private String hasChildren;
        private boolean selected;

        public String getName() {
            return name;
        }

        public String getUserName() {
            return userName;
        }

        public String getItemID() {
            return itemID;
        }

        public String getActionID() {
            return actionID;
        }

        public String getElementType() {
            return elementType;
        }

        public String getHasChildren() {
            return hasChildren;
        }

        public boolean isSelected() {
            return selected;
        }

        public void setSelected(boolean selected) {
            this.selected = selected;
        }
    }
}
